/* RichText.h -- interface for the richtext widget
 * $Id: RichText.h,v 1.3 92/09/18 17:56:23 connolly Exp $
 * Copyright 1992 by Convex Computer Corporation, Richardson, Texas.
 * See the COPYRIGHT file for details.
 */

#ifndef _XcRichText_h
#define _XcRichText_h

#include <Xm/Xm.h>

#define XcNrtf "rtf"
#define XcCRtf "Rtf"
#define XcNfontPatterns "fontPatterns"
#define XcCFontPatterns "fontPatterns"

/* Class record constants */

externalref WidgetClass xcRichTextWidgetClass;

typedef struct _XcRichTextClassRec * XcRichTextWidgetClass;
typedef struct _XcRichTextRec      * XcRichTextWidget;

#ifndef XcIsRichText
#define XcIsRichText(w)  (XtIsSubclass (w, xcRichTextWidgetClass))
#endif


typedef struct{
  int reason;
  XEvent *event;
  Window window;
  long mark, point;
  char* value;
}XcRichTextCallbackStruct;

/*  Creation entry points:
*/
#if defined(__cplusplus) || defined(c_plusplus)
extern "C" {
#endif


extern Widget XcCreateRichText( Widget p, String name, ArgList args,
			       Cardinal n) ;

extern char *XcRichTextGetString (Widget widget);
extern long XcRichTextGetLastPosition (Widget widget);
extern char *XcRichTextGetSelection (Widget widget, int strip_rtf);
extern void XcRichTextSetSelection (Widget widget,
				    XmTextPosition first,
				    XmTextPosition last,
				    Time set_time);
extern void XcRichTextClearSelection (Widget widget, Time clear_time);
extern Boolean XcRichTextGetSelectionPosition (Widget widget,
					       XmTextPosition *left, 
					       XmTextPosition *right);
extern long XcRichTextXYToPos (Widget widget,
			   Position x, Position y);
extern Boolean XcRichTextPosToXY (Widget widget,
				  long pos, Position *x, Position *y);
#if defined(__cplusplus) || defined(c_plusplus)
}
#endif



#endif /* _XcRichText_h */
/* DON'T ADD ANYTHING AFTER THIS #endif */

