/* RichTextP.h -- private header for the richtext widget
 * $Id: RichTextP.h,v 1.3 92/09/18 17:56:24 connolly Exp $
 * Copyright 1992 by Convex Computer Corporation, Richardson, Texas.
 * See the COPYRIGHT file for details.
 */

#ifndef __XcRichTextP_h
#define __XcRichTextP_h

#include "RichText.h"
#include <Xm/XmP.h>
#include "xtextview_c.h"

/*  New fields for the RichText widget class record  */

typedef struct
{
   int mumble;   /* No new procedures */
} XcRichTextClassPart;


/* Full class record declaration */

typedef struct _XcRichTextClassRec
{
	CoreClassPart		core_class;
	XmPrimitiveClassPart	primitive_class;
	XcRichTextClassPart     rich_text_class;
} XcRichTextClassRec;

externalref XcRichTextClassRec xcRichTextClassRec;


/* New fields for the RichText widget record */

typedef struct
{
  /* resources */
  String value;
#ifdef OLD_FONTS
  XmFontList fontList;
#else
  XmStringTable fontPatterns;
#endif
  Boolean rtf;
  XtCallbackList motion_verify_callback;
  Dimension       margin_height;   /* margin around widget */
  Dimension       margin_width;
  XmTextPosition  top,             /* first/last text positions */
                  bottom;

  /* private data */
  void*  flow;
  long mark, point; /* selection */
  long bytes;
  int sx[4], sy[4]; /* selection region */
    /*
     * x[0] = left margin
     * x[3] = right margin
     * x[1],y[0],y[1] = x, base, top of character f
     * x[2],y[2],y[3] = x, base, top of character l
     */

  GC invert; /* selection feedback */
} XcRichTextPart;


/****************************************************************
 *
 * Full instance record declaration
 *
 ****************************************************************/

typedef struct _XcRichTextRec
{
	CorePart		core;
	XmPrimitivePart         primitive;
	XcRichTextPart	        rich_text;
} XcRichTextRec;

#endif /* __XcRichTextP_h */
/* DON'T ADD ANYTHING AFTER THIS #endif */
